Auto Multiple Choice - Bug # 526: Je n'ai pas réussi a installer AMC

Status: Closed Priority: Normal
Author: Colas B Category:

Created: 01/20/2018 Assignee:

Updated: 02/03/2018 Due date:

Description: Bonjour,

L'idée de correction automatique de QCM est géniale.

Je trouve linstallation trés compliquée. J'ai suivi les instructions de cette page :
http://perso.univ-lyon2.fr/~brogniar/notes/amc-installation/

L'installation avec macports échoue.

Je mets en piece jointe le fichier de log.

Merci
Colas

History

01/22/2018 11:03 am - Joél Brogniart

Comme indiqué dans le fichier log, la police DejaVu n'est pas installée.

01/22/2018 11:15 am - Colas B

- File Capture_d cran_2018-01-22 11.15.28.png added

Merci de ta réponse.

Pourtant, j'ai suivi les instructions et ai téléchargé sur sourcforge la police et I'ai copié dans /Library/Fonts (le dossier "global" pas de "user"). Cf. copie

d'écran.

Colas

Joél Brogniart wrote:

> Comme indiqué dans le fichier log, la police DejaVu n'est pas installée.

01/22/2018 01:31 pm - Joél Brogniart

Est-ce que les polices ont bien été installées dans le dossier /Bibliothéque/Fonts et non pas de le dossier Bibliotheéque de I'utilisateur ?
01/22/2018 10:51 pm - Colas B

Joél Brogniart wrote:

> Est-ce que les polices ont bien été installées dans le dossier /Bibliothéque/Fonts et non pas de le dossier Bibliotheque de I'utilisateur ?

Oui dans ce dossier...

Merci

01/23/2018 07:54 pm - Colas B
Avez-vous d’autres pistes, conseils ou idées ?

Colas Bardavid wrote:
> Joél Brogniart wrote:

> > Est-ce que les polices ont bien été installées dans le dossier /Bibliotheque/Fonts et non pas de le dossier Bibliothéque de I'utilisateur ?

>
> Oui dans ce dossier...
>

> Merci

01/24/2018 11:59 am - Joél Brogniart

Je ne vois pas pourquoi la police n'est pas trouvée. Pouvez vous me donner le résultat de la commande suivante.

<pre>
Is /Library/Font

</pre>

Vous pouvez aussi nettoyer la tentative d'installation d'AMC et essayer une installation d'AMC stable.
<pre>

sudo port clean -f --all auto-multiple-choice auto-multiple-choice-devel

sudo port selfupdate

sudo port install auto-multiple-choice

</pre>

01/24/2018 12:03 pm - Joél Brogniart

J'ai fait une erreur pour la premieére commande. Voici ce qu'il faut.
<pre>

Is /Library/Fonts/

</pre>

01/25/2018 08:34 pm - Colas B

Voila les polices :

Arial Bold ltalic.ttf0 00 DejaVuSansMono.ttf0 00 LinLibertine_RB.otf0 00 STIXSizTwoSymBol.otf
Arial Bold.ttf0 000 DejaVuSerif-Bold.itf0 00 LinLibertine_RBI.otf0 00 STIXSizTwoSymReg.otf
Arial Italic.ttf0 00 DejaVuSerif-Boldltalic.ttf0 0 LinLibertine_RI.otf0 00 STIXVar.otf

Arial Narrow Bold ltalic.ttf0 0 DejaVuSerif-Italic.ttfl 0 0 LinLibertine_RZ.otf0 00 STIXVarBol.otf
Arial Narrow Bold.ttf000 DejaVuSerif.ttf0000 LinLibertine_RZl.otf000 Sana.ttc

Arial Narrow ltalic.ttf0 00 DejaVuSerifCondensed-Bold.ttf0 U Luminari.ttf0 000 Sathu.ttf

Arial Narrow.ttf0 0 0 DejaVuSerifCondensed-Boldltalic.ttfl Malayalam MN.ttcll10 Savoye LET.ttc
Arial Rounded Bold.ttf0 00 DejaVuSerifCondensed-ltalic.ttfl 0 Malayalam Sangam MN.ttc0 00 Seravek.ttc
Arial Unicode.ttf0 00 DejaVuSerifCondensed.ttf0 0 Marion.ttcO 000 Shree714.ttc

Arial.ttf0 000 Devanagari Sangam MN.ttcO 0 Microsoft Sans Serif.ttf0 U SignPainter.ttc
Athelas.ttcI 000 DevanagariMT.ttcO 00 Mishafi Gold.ttf0 00 Silom.ttf

Ayuthaya.ttf0000 Didot.ttcD 000 Mishafi.ttf0 000 Sinhala MN.itc

Baghdad.ttc0 000 Diwan Kufi.ttcD 000 Mshtakan.ttcD 000 Sinhala Sangam MN.ttc

Bangla MN.ttcd 000 Diwan Thuluth.ttf0 00 Muna.ttcD 000 Skia.ttf

Bangla Sangam MN.ttc0 00 EuphemiaCAS.ttcD 000 Myanmar MN.ttcD 000 SnellRoundhand.ttc
Baskerville.ttc0 000 Farah.ttc0 000 Myanmar Sangam MN.ttcO 00 Songti.ttc

Beirut.ttc0 000 Farisi.ttf0 000 NISC18030.ttf0 0 0 0 SukhumvitSet.ttc

BigCaslon.tf0 000 Futura.ttc0 000 Nadeem.ttcO 000 SuperClarendon.ttc
Bodoni 72 OS.ttcl 00 Georgia Bold Italic.ttfl 00 NewPeninimMT.ttc 0 0 Tahoma Bold.ttf

Bodoni 72 Smallcaps Book.ttfll0 Georgia Bold.ttf0 00 Oriya MN.ttcO 000 Tahoma.ttf

Bodoni 72.ttc0 000 Georgia ltalic.ttfl 00 Oriya Sangam MN.ttcO 00 Tamil MN.ttc

Bodoni Ornaments.itf0 00 Georgia.ttf0000 PTMono.ttcO 000 Tamil Sangam MN.ttc

Bradley Hand Bold.ttf000 GillSans.ttc0000PTSans.ttc0000 Telugu MN.ttc

Brush Script.ttf0 00 Gujarati Sangam MN.ttcO 00 PTSerif.ttc0 000 Telugu Sangam MN.ttc
Chalkboard.ttcO 000 GujaratiMT.ttcO 000 PTSerifCaption.ttcl 00 Times New Roman Bold ltalic.ttf
ChalkboardSE.ttc0 00 Gurmukhi MN.ttcO 000 Papyrus.ttcd000 Times New Roman Bold.ttf
Chalkduster.ttf0 000 Gurmukhi Sangam MN.ttcO 00 Phosphate.ttc0 000 Times New Roman ltalic.ttf
Charter.ttc0 000 Gurmukhi.ttf0 000 PlantagenetCherokee.ttf100 Times New Roman.ttf

Cochin.ttcD 000 Herculanum.ttfl 000 Raanana.ttci 000 Trattatello.ttf

Comic Sans MS Bold.ttf0 00 Hoefler Text Ornaments.ttf0 0 STIXGeneral.otf0000 Trebuchet MS Bold Italic.ttf
Comic Sans MS.ttf0 00 Hoefler Text.ttcD 00 STIXGeneralBol.otfl 00 Trebuchet MS Bold.ttf
Copperplate.ttcd 000 ITFDevanagari.ttch 00 STIXGeneralBollta.otfl 00 Trebuchet MS ltalic.ttf
Corsiva.ttcl 000 Impact.ttfi 000 STIXGeneralltalic.otfl 00 Trebuchet MS. ttf

Courier New Bold ltalic.ttfl 0 InaiMathi.ttf0 000 STIXIntDBol.otfl 000 Verdana Bold ltalic.ttf

Courier New Bold.ttf0 00 lowan Old Style.ttc0 00 STIXIntDReg.otfl 000 Verdana Bold.ttf

Courier New ltalic.ttf0 00 Kailasa.ttcD 000 STIXIntSmBol.otf0 00 Verdana ltalic.tf

Courier New.ttf0 000 Kannada MN.ttc0 000 STIXIntSmReg.otfl 00 Verdana.ttf

DIN Alternate Bold.ttf000 Kannada Sangam MN.ttcO 00 STIXIntUpBol.otfl 00 Waseem.ttc

DIN Condensed Bold.ttf0 00 Kefa.ttcO 000 STIXIntUpDBol.otfl 0 0 Webdings.ttf

Damascus.ttc0 000 Khmer MN.ttcD 000 STIXIntUpDReg.otf0 00 Wingdings 2.ttf
DecoTypeNaskh.ttcI 00 Khmer Sangam MN.itf0 00 STIXIntUpReg.otfl 00 Wingdings 3.1tf
DejaVuMathTeXGyre.1tf0 00 Kokonor.itfl 000 STIXIntUpSmBol.otfd 00 Wingdings. ttf
DejaVuSans-Bold.ttf0 00 Krungthep.ttfl 000 STIXINntUpSmReg.otfl 00 Zapfino.ttf
DejaVuSans-BoldOblique.tfl 0 KufiStandardGK.ttc0 00 STIXNonUni.otflnnn £ > X/ 0 I ProN W4.ttc
DejaVuSans-ExtraLight.ttfl0 Lao MN.ttc0 000 STIXNonUniBol.otf

Joél Brogniart wrote:

> J'ai fait une erreur pour la premiére commande. Voici ce qu'il faut.

01/25/2018 08:40 pm - Colas B
- File log_install added

J'ai tenté une réinstallation.
Voila le message d'erreur.
Je mets en copie le log.

> [...]

> ---> Verifying checksums for auto-multiple-choice

> ---> Extracting auto-multiple-choice

> ---> Configuring auto-multiple-choice

> ---> Building auto-multiple-choice

> Error: Failed to build auto-multiple-choice: command execution failed

> Error: See
/opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_x11_auto-multiple-choice/auto-m
ultiple-choice/main.log for details.

> Error: Follow https://guide.macports.org/#project.tickets to report a bug.
> Error: Processing of port auto-multiple-choice failed

04/19/2024 3/6



Merci
Colas

Joél Brogniart wrote:

> Je ne vois pas pourquoi la police n'est pas trouvée. Pouvez vous me donner le résultat de la commande suivante.

>

>

> Vous pouvez aussi nettoyer la tentative d'installation d'’AMC et essayer une installation d'’AMC stable.

01/29/2018 09:18 am - Joél Brogniart

Bon il y a bien un probléme avec les polices DejaVu.

Pouvez-vous supprimer les polices DejaVu installées.

Puis télécharger I'archive .zip sur https://sourceforge.net/projects/dejavu.

Décompresser I'archive obtenue.

Copier I'ensemble du contenu du dossier ttf dans le dossier des polices (il contient 22 éléments).

Tenter a nouveau l'installation d'AMC.

<pre>
sudo port install auto-multiple-choice

</pre>

01/29/2018 08:48 pm - Colas B
- File log_new_install_after_copying_fonts added

Merci de ta réponse. J'ai fait ce que tu m'as dit.

En faisant
> sudo port install auto-multiple-choice
¢a n'a pas marché.

J'ai essayé

> sudo port clean -f --all auto-multiple-choice auto-multiple-choice-devel
> sudo port selfupdate

> sudo port install auto-multiple-choice

¢a n'a pas marché non plus.

L'erreur est
> ---> Verifying checksums for auto-multiple-choice

> ---> Extracting auto-multiple-choice
> ---> Configuring auto-multiple-choice

> ---> Building auto-multiple-choice

> Error: Failed to build auto-multiple-choice: command execution failed

> Error: See
/opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_x11_auto-multiple-choice/auto-m
ultiple-choice/main.log for details.

> Error: Follow https://guide.macports.org/#project.tickets to report a bug.

> Error: Processing of port auto-multiple-choice failed

Je mets le log en piéce jointe.

Merci
Colas

01/30/2018 10:02 am - Jo€l Brogniart
Bon, c'est toujours un probléme avec la police DejaVu. Mais je n'arrive pas a comprendre pourquoi. Je n'arrive pas a reproduire le probléme en 10.9,
10.10, 10.11 et 10.13 !

Je vais voir si je peux trouver une installation macOS Sierra.

01/30/2018 10:17 am - Joél Brogniart
Pendant que j'y pense, est-il envisageable de reinstaller tous les ports ?

Si oui, pouvez-vous lancer les commandes suivantes ?

<pre>
sudo port uninstall installed

sudo port selfupdate

sudo port install auto-multiple-choice

</pre>

01/30/2018 08:29 pm - Colas B
CGa n'a pas marché :-(

Merci de votre aide.

Colas

Joél Brogniart wrote:

> Pendant que j'y pense, est-il envisageable de reinstaller tous les ports ?
>

> Si oui, pouvez-vous lancer les commandes suivantes ?

>

01/30/2018 08:29 pm - Colas B
CGa n'a pas marché :-(

Merci de votre aide.

Colas

04/19/2024 5/6



Joél Brogniart wrote:

> Pendant que j'y pense, est-il envisageable de reinstaller tous les ports ?
>

> Si oui, pouvez-vous lancer les commandes suivantes ?

>

> [...]

02/02/2018 12:25 pm - Joél Brogniart
J'ai enfin trouvé un peu de place sur un disque pour pouvoir installer macOS 10.12 et tout ce qu'il faut. L'installation d'AMC s'est passée sans erreur et

fonctionne du premier coup.

L'installation se passe correctement chez moi sur macOS 10.9, 10.10, 10.11, 10.12 et 10.13. Donc le probléme est ailleurs.

Si vous utilisez Message sous macOS, essayer de me contacter en utilisant mon adresse.

02/03/2018 10:28 am - Joél Brogniart
Le probléme est résolu. Il y avait une installation MacTex qui interférait avec l'installation Texlive de MacPorts. Aprés un peu de nettoyage, l'installation
d'AMC avec l'option d'utiliser MacTex au lieu du TexLive MacPort (port install auto-multiple-choice +mactex) s'est passée correctement est AMC est

fonctionnel.

Le statut peut passer a "résolu".

02/03/2018 11:10 am - Colas B
Merci de ton aide !

Joél Brogniart wrote:

> Le probléme est résolu. Il y avait une installation MacTex qui interférait avec l'installation Texlive de MacPorts. Aprés un peu de nettoyage,
l'installation d'AMC avec |'option d'utiliser MacTex au lieu du TexLive MacPort (port install auto-multiple-choice +mactex) s'est passée correctement est
AMC est fonctionnel.

>

> Le statut peut passer a "résolu".

02/03/2018 04:43 pm - Alexis Bienveniie
- Status changed from New to Closed

- % Done changed from 0 to 100

Files

log_install.txt 480.8 kB 01/20/2018 Colas B
Capture_d___ cran_2018-01-22___ 11.15.28.png 211 kB 01/22/2018 Colas B
log_install 620.9 kB 01/25/2018 Colas B
log_new_install_after_copying_fonts 616 kB 01/29/2018 Colas B
